## blackduck 1.1.0

=== requirements.txt ===
# For the library itself
requests==2.20.0
python-dateutil>=2.8.0

# for examples printing tables to the terminal
terminaltables
timestring

# for unit testing
pytest          # see https://docs.pytest.org/en/stable/index.html
pytest-html     # see https://pytest-html.readthedocs.io/en/latest/index.html
requests-mock   # see https://requests-mock.readthedocs.io/en/latest/
pytest-datadir  # see http://github.com/gabrielcnr/pytest-datadir

# For package building and distribution (e.g. to PyPi)
setuptools
wheel
twine

#For some reporting libraries
#pandas

# For easy date/time operations
arrow

=== examples/generate_html_notices_report_from_json/requirements.txt ===
# for use of the template to generate the html
jinja2

=== debian/changelog ===
blackduck (1.1.0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 12 Jan 2024 15:31:25 +0100

=== debian/control ===
Source: blackduck
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-pytest,
 python3-pytest-datadir,
 python3-requests-mock,
 python3-dateutil,
 python3-pytest-runner
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/blackducksoftware/hub-rest-api-python
Vcs-Browser: https://gitlab.com/kalilinux/packages/blackduck
Vcs-Git: https://gitlab.com/kalilinux/packages/blackduck.git

Package: python3-blackduck
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: bindings for Hub REST API (Python 3)
 This package contains Python bindings for Hub REST API.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=blackduck

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/blackducksoftware/hub-rest-api-python/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
